#!/usr/bin/perl
use Statistics::OLS;
use Math::FFT;
use Math::Stat;
use Math::Spline qw(spline linsearch binsearch);
use Math::Derivative qw(Derivative2);
use Math::Approx;
use Astro::FITS::CFITSIO qw( :longnames :constants );
use PDL;
use PDL::Fit::Polynomial; 
use PDL::Filter::Linear;
use PGPLOT;  # Load PGPLOT module
use PDL::Fit::Gaussian;
use PDL::Slatec;
use PDL::Image2D;
#use PDL::Matrix;

#require "/work1/ssa/perl/MY/my.pl";
require "/home/sanchez/sda2/code/R3D/my.pl";
if ($#ARGV<1) {
    print "USE: read_img_header.pl FILE.FITS HEADER\n";
    exit;
}

$file=$ARGV[0];
$list_header=$ARGV[1];
#$value=$ARGV[2];
#$pdl=rfits($file,{data=>0});
$pdl=rfits($file);
#$value=$pdl->hdr->{$header};
@headers=split("\,",$list_header);
$values="";
foreach $header (@headers) {
 $value=$pdl->hdr->{$header};   
 $values=$values." ".$value;
}
print "$file $header $values\n";

exit;

